<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  https://go.microsoft.com/fwlink/?LinkId=301880
  -->
<configuration>
  <configSections>
    <section name="SystemSettings" type="Keysystems.Core.Configuration.PlatformConfigSection, Keysystems.Core, Version=15.2.0.0, Culture=neutral, PublicKeyToken=null" allowLocation="true" allowDefinition="Everywhere" allowExeDefinition="MachineToApplication" overrideModeDefault="Allow" restartOnExternalChanges="true" requirePermission="true" />
  </configSections>
  <SystemSettings>
    <SystemSettings>
      <clear />
      <add Key="" Value="" />
      <add Key="MaxPoolSize" Value="0" />
      <!-- label="Размер пула соединений с БД. При использовании общего логина рекомендуется задать значение более 0 (например, 700)" x/>-->
      <add Key="AppPoolTimeout" Value="300" />
      <!-- label="Таймаут получения соединения из пула (на уровне приложения) в секундах" x/>-->
      <add Key="UserName" Value="" />
      <!-- label="Имя пользователя подключения к БД" x/>-->
      <add Key="Password" Value="" />
      <!-- label="Пароль подключения к БД" x/>-->
      <add Key="AuthSecretKey" Value="secret string for authenticate" />
      <!-- label="Секрет для JWT при использовании сервиса аутентификации. Должен совпадать на всех сервисах, которые будет валидировать jwt" x/>-->
      <add Key="AuthenticationService" Value="" />
      <!-- label="Адрес сервиса аутентификации" x/>-->
      <add Key="LicensingService" Value="" />
      <!-- label="Адрес сервиса лицензирования" x/>-->
      <add Key="DataSourceType" Value="" />
      <!-- label="Тип источника данных: MSSQL|Oracle|PostgreSQL" x/>-->
      <add Key="Server" Value="" />
      <!-- label="Сервер баз данных" x/>-->
      <add Key="DataBase" Value="" />
      <!-- label="База данных" x/>-->
      <add Key="ConnectionStringAddition" Value="" />
      <!-- label="Дополнительная строка соединения" x/>-->
      <add Key="PoolTransactions" Value="false" />
      <!-- label="Использовать транзакции для пула соединений" x/>-->
      <add Key="CommonTemplatePath" Value="c:\reports" />
      <!-- label="Путь к каталогу с шаблонами печати" x/>-->
      <add Key="LogLevel" Value="Warn" />
      <!-- label="Уровень логгирования: Trace|Debug|Info|Warn|Error|Fatal|Off" x/>-->
      <add Key="CryptoService2" Value="0" />
      <!-- label="Модуль ЭЦП: 0 (системный) | 1 (Framework) | 2 (встроенный)" x/>-->
      <add Key="Certificate" Value="" />
      <!-- label="Серийный номер сертификата (#serialNo)" x/>-->
      <add Key="AlternativeUploadService" Value="" />
      <!-- label="Альтернативный адрес сервиса оправдательных документов (URL)" x/>-->
      <add Key="UseAppServiceHost" Value="false" />
      <!-- label="Использовать имя узла данного сервиса для формирования URL сервиса оправдательных документов" x/>-->
      <add Key="FileExportStorage" Value="" />
      <!-- label="Путь к файловому хранилищу сервиса ОД для выгрузки (экспорта) файлов ЭОД" x/>-->
      <add Key="FileExportService" Value="" />
      <!-- label="Адрес сервиса ОД для выгрузки (экспорта) файлов ЭОД" x/>-->
      <add Key="FileImportStorage" Value="" />
      <!-- label="Путь к файловому хранилищу сервиса ОД для загрузки (импорта) файлов ЭОД" x/>-->
      <add Key="FileImportService" Value="" />
      <!-- label="Адрес сервиса ОД для загрузки (импорта) файлов ЭОД" x/>-->
      <add Key="VersionMismatchDisallow" Value="false" />
      <!-- label="Запрещать подключения при несовпадении версий клиента и сервиса" x/>-->
      <add Key="JsonSerialization" Value="false" />
      <!-- label="Использовать json-сериализацию обмена между клиентом и сервисом" x/>-->
      <add Key="Compression2" Value="0" />
      <!-- label="Сжатие траффика: -1 (не использовать) | 0 (GZip) | 1 (7Zip)" x/>-->
      <add Key="AllowRemoteAdministration" Value="2" />
      <!-- label="Удаленное администрирование: 0 (Разрешено с исключениями, по умолчанию) | 1 (Разрешено) | 2 (Запрещено)" x/>-->
      <add Key="DataPacketSize" Value="0" />
      <!-- label="Максимальный размер исходного пакета данных (в байтах): 0 - автоподбор (по умолчанию)" x/>-->
      <add Key="CacheConnection" Value="" />
      <!-- label="Параметры подключения к серверу кэша (PostgreSQL)" x/>-->
      <add Key="UseMQBroker" Value="false" />
      <!-- label="Использовать брокер сообщений" x/>-->
      <add Key="MQConnection" Value="" />
      <!-- label="Параметры подключения к брокеру сообщений (RabbitMQ) в формате: amqp://{user}:{passw}@{host}:5672/ " x/>-->
      <!-- Контроль попыток подключения -->
      <add Key="LoginAttemptsNumber" Value="5" />
      <!-- label="Максимальное число попыток входа в комплекс (0 - без ограничений)" x/>-->
      <add Key="LoginLockPeriod" Value="30" />
      <!-- label="Период блокировки входа в комплекс (в секундах)" x/>-->
      <add Key="DbMailingAccountLogin" Value="" />
      <!-- label="Имя пользователя БД для почтовой рассылки (оповещений)" x/>-->
      <add Key="DbMailingAccountPassword" Value="" />
      <!-- label="Пароль пользователя БД для почтовой рассылки (оповещений)" x/>-->
      <!-- Управление авторизацией -->
      <add Key="AuthorizationService" Value="" />
      <!-- label="Адрес сервиса авторизации (URL)" x/>-->
      <add Key="AuthorizationAccountLogin" Value="" />
      <!-- label="Имя пользователя БД для управления авторизацией" x/>-->
      <add Key="AuthorizationAccountPassword" Value="" />
      <!-- label="Пароль пользователя БД для управления авторизацией" x/>-->
      <add Key="CabinetId" Value="" />
      <!-- label="Идентификатор кабинета (Saas)" x/>-->
      <add Key="ContractId" Value="" />
      <!-- label="Идентификатор контракта (Saas)" x/>-->
      <!-- Центр управления бизнес-процессами -->
      <add Key="BPMSAccountLogin" Value="" />
      <!-- label="Имя пользователя БД для управления бизнес-процессами" x/>-->
      <add Key="BPMSAccountPassword" Value="" />
      <!-- label="Пароль пользователя БД для управления бизнес-процессами" x/>-->
      <add Key="BPMSAuthTokenRequired" Value="false" />
      <!-- label="Авторизационный токен в бизнес-процессах" x/>-->
      <!-- Электронный Архив -->
      <add Key="FileArchiveDataSourceType" Value="MSSQL" />
      <!-- label="Тип сервера Электронного архива" x/>-->
      <add Key="FileArchiveServer" Value="" />
      <!-- label="Адрес сервера Электронного архива" x/>-->
      <add Key="FileArchiveDatabase" Value="" />
      <!-- label="Адрес сервера Электронного архива" x/>-->
      <!-- Сервис планировщика задач -->
      <add Key="TaskSchedulerService" Value="" />
      <!-- label="Адрес сервиса планировщика задач" x/>-->
      <!-- Очереди длительных команд (сервис отчётов, сервисы ЭОД) -->
      <add Key="WaitingPoolMaxSize" Value="500" />
      <!-- label="Максимальный размер очереди ожидания (0 - неограниченный размер)" x/>-->
      <add Key="ExecutionPoolMaxSize" Value="0" />
      <!-- label="Максимальный размер очереди выполнения (0 - неограниченный размер)" x/>-->
      <add Key="CompletedCommandsPoolMaxSize" Value="1000" />
      <!-- label="Максимальный размер очереди выполненных команд" x/>-->
      <add Key="MaxNumberRequestsFromOneAddress" Value="0" />
      <!-- label="Максимальное число запросов, размещенных в очередях ожидания и выполнения, с одного адреса (0 - неограниченное число)" x/>-->
      <add Key="CheckRemoteCertificateHost" Value="false" />
      <!-- label="Проверять хост сертификатов сторонних серверов" x/>-->
      <add Key="CheckRemoteCertificateRevocationList" Value="false" />
      <!-- label="Проверять отозванность сертификатов сторонних серверов" x/>-->
      <add Key="SafeListEnabled" Value="false" />
      <!-- label="Включение/отключение фильтра IP-адресов" x/>-->
      <add Key="SafeList" Value="" />
      <!-- label="<Список разрешенных IP-адресов>" x/>-->
    </SystemSettings>
  </SystemSettings>
  <appSettings>
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
  </appSettings>
  <system.web>
    <compilation targetFramework="4.7.2" />
    <httpRuntime targetFramework="4.7.2" maxRequestLength="10240" executionTimeout="3600" />
    <customErrors mode="Off" />
  </system.web>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CSharp.CSharpCodeProvider, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" warningLevel="4" compilerOptions="/d:RELEASE;TRACE /warnaserror+">
        <providerOption name="CompilerVersion" value="v4.0" />
        <providerOption name="WarnAsError" value="false" />
      </compiler>
    </compilers>
  </system.codedom>
  <system.webServer>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="134217728" />
      </requestFiltering>
    </security>
    <handlers>
      <!-- скрыть wsdl -->
      <add name="ServiceMonitor" verb="GET" path="service.asmx" type="Keysystems.Webservice.Lib.ServiceMonitor" />
    </handlers>
    <defaultDocument>
      <files>
        <remove value="default.aspx" />
        <remove value="iisstart.htm" />
        <remove value="index.html" />
        <remove value="index.htm" />
        <remove value="Default.asp" />
        <remove value="Default.htm" />
        <add value="service.ashx" />
      </files>
    </defaultDocument>
    <asp />
    <!-- <serverRuntime uploadReadAheadSize="4194304" /> -->
    <!-- Предпочтительней выполнить команду: %windir%\System32\inetsrv\appcmd.exe set config -section:system.webServer/serverRuntime /uploadReadAheadSize:"4194304" /commit:apphost -->
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Bcl.AsyncInterfaces" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.DependencyInjection" publicKeyToken="ADB9793829DDAE60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.DependencyInjection.Abstractions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Encodings.Web" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.1" newVersion="5.0.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Json" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.1" newVersion="5.0.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Caching.Abstractions" publicKeyToken="ADB9793829DDAE60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.32.0" newVersion="3.1.32.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Caching.Memory" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.32.0" newVersion="3.1.32.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Primitives" publicKeyToken="ADB9793829DDAE60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Options" publicKeyToken="ADB9793829DDAE60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.Abstractions" publicKeyToken="ADB9793829DDAE60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging" publicKeyToken="ADB9793829DDAE60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Numerics.Vectors" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.4.0" newVersion="4.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="4.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.10.0" newVersion="2.6.10.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.10.0" newVersion="2.6.10.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Channels" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Collections.Immutable" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Autofac" culture="neutral" publicKeyToken="17863af14b0044da" />
        <bindingRedirect oldVersion="0.0.0.0-6.4.0.0" newVersion="6.4.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Options.ConfigurationExtensions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.EventSource" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.EventLog" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.Debug" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.Abstractions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.Binder" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.CommandLine" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.EnvironmentVariables" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.FileExtensions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.Json" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.UserSecrets" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileProviders.Abstractions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileProviders.Physical" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileSystemGlobbing" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Hosting.Abstractions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.Configuration" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.Console" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.22.0" newVersion="3.1.22.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.AspNetCore.Http.Abstractions" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.0.0" newVersion="2.2.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.AspNetCore.Http.Features" culture="neutral" publicKeyToken="adb9793829ddae60" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.0.0" newVersion="2.2.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
<!--ProjectGuid: D445B812-F3FD-42E8-9FD2-8F85C0AC2F9E-->